$Language::LANGUAGES = q{en,ru};
$Language::DEFAULTLANGUAGE = q{en};

# Current user language is defined by $ENV{HTTP_ACCEPT_LANGUAGE} or overwrited by $COOKIES{siteup_language}
my $langs = $ENV{HTTP_ACCEPT_LANGUAGE}; $langs =~ s/\;[^,]+(\,|$)/$1/g;
foreach my $lang(split(/\,/, $langs))
{
	if (grep($lang eq $_, split(/\,/, $Language::LANGUAGES))) { $Language::LANGUAGE = $lang; last; }
}
$Language::LANGUAGE = $COOKIES{siteup_language} if $COOKIES{siteup_language};
undef $Language::LANGUAGE if $Language::DEFAULTLANGUAGE eq $Language::LANGUAGE;

1;
